
Foreman - Bug #3564

Host template link icons too close together, space them out a bit

11/02/2013 05:53 AM - Aaron Stone

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In the Host view, under the Templates tab, there is a table that lists each template and a set of link icons to edit and preview the

template.

These icons are very close together, making it hard to click the one you intend. They should be spaced out a bit.

Relevant code appears to be:

https://github.com/theforeman/foreman/blob/develop/app/helpers/hosts_helper.rb#L185-187

Is it as simple as adding some " " entities between the two links?

History

#1 - 11/02/2013 05:54 AM - Aaron Stone

Of course, inside those quotes is a non-breaking-space entity %nbsp;

#2 - 11/02/2013 06:00 AM - Aaron Stone

(I give up, redmine. All my sgml entities are below to you.)

#3 - 11/04/2013 09:03 AM - Dominic Cleal

- Category set to Web Interface

Yeah, or even fully fledged links or buttons?  I agree, they're hard to hit.

#4 - 07/02/2014 08:11 AM - Ori Rabin

On May 4th the icons where changes to a drop down list with commit 9d2152afde89314a531ed7f4be49d9412dff18cf

#5 - 07/02/2014 08:20 AM - Dominic Cleal

- Status changed from New to Resolved
